## python-coverage 6.5.0+dfsg1

=== Makefile ===
# Licensed under the Apache License: http://www.apache.org/licenses/LICENSE-2.0
# For details: https://github.com/nedbat/coveragepy/blob/master/NOTICE.txt

# Makefile for utility work on coverage.py.

.DEFAULT_GOAL := help

##@ Utilities

.PHONY: help clean_platform clean sterile

clean_platform:
	@rm -f *.so */*.so
	@rm -rf __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__ */*/*/*/__pycache__ */*/*/*/*/__pycache__
	@rm -f *.pyc */*.pyc */*/*.pyc */*/*/*.pyc */*/*/*/*.pyc */*/*/*/*/*.pyc
	@rm -f *.pyo */*.pyo */*/*.pyo */*/*/*.pyo */*/*/*/*.pyo */*/*/*/*/*.pyo

clean: clean_platform			## Remove artifacts of test execution, installation, etc.
	@echo "Cleaning..."
	@-pip uninstall -yq coverage
	@rm -f *.pyd */*.pyd
	@rm -rf build coverage.egg-info dist htmlcov
	@rm -f *.bak */*.bak */*/*.bak */*/*/*.bak */*/*/*/*.bak */*/*/*/*/*.bak
	@rm -f *$$py.class */*$$py.class */*/*$$py.class */*/*/*$$py.class */*/*/*/*$$py.class */*/*/*/*/*$$py.class
	@rm -f coverage/*,cover
	@rm -f MANIFEST
	@rm -f .coverage .coverage.* coverage.xml coverage.json .metacov*
	@rm -f .tox/*/lib/*/site-packages/zzz_metacov.pth
	@rm -f */.coverage */*/.coverage */*/*/.coverage */*/*/*/.coverage */*/*/*/*/.coverage */*/*/*/*/*/.coverage
	@rm -f tests/covmain.zip tests/zipmods.zip tests/zip1.zip
	@rm -rf doc/_build doc/_spell doc/sample_html_beta
	@rm -rf tmp
	@rm -rf .cache .hypothesis .mypy_cache .pytest_cache
	@rm -rf tests/actual
	@-make -C tests/gold/html clean

sterile: clean				## Remove all non-controlled content, even if expensive.
	rm -rf .tox

help:					## Show this help.
	@# Adapted from https://www.thapaliya.com/en/writings/well-documented-makefiles/
	@echo Available targets:
	@awk -F ':.*##' '/^[^: ]+:.*##/{printf "  \033[1m%-20s\033[m %s\n",$$1,$$2} /^##@/{printf "\n%s\n",substr($$0,5)}' $(MAKEFILE_LIST)

##@ Tests and quality checks

.PHONY: lint smoke

lint:					## Run linters and checkers.
	tox -q -e lint

PYTEST_SMOKE_ARGS = -n auto -m "not expensive" --maxfail=3 $(ARGS)

smoke: 					## Run tests quickly with the C tracer in the lowest supported Python versions.
	COVERAGE_NO_PYTRACER=1 tox -q -e py37 -- $(PYTEST_SMOKE_ARGS)


##@ Metacov: coverage measurement of coverage.py itself
# 	See metacov.ini for details.

.PHONY: metacov metahtml metasmoke

metacov:				## Run meta-coverage, measuring ourself.
	COVERAGE_COVERAGE=yes tox -q $(ARGS)

metahtml:				## Produce meta-coverage HTML reports.
	python igor.py combine_html

metasmoke:
	COVERAGE_NO_PYTRACER=1 ARGS="-e py39" make metacov metahtml


##@ Requirements management

# When updating requirements, a few rules to follow:
#
# 1) Don't install more than one .pip file at once. Always use pip-compile to
# combine .in files onto a single .pip file that can be installed where needed.
#
# 2) Check manual pins before `make upgrade` to see if they can be removed. Look
# in requirements/pins.pip, and search for "windows" in .in files to find pins
# and extra requirements that have been needed, but might be obsolete.

.PHONY: upgrade

PIP_COMPILE = pip-compile --upgrade --allow-unsafe --generate-hashes
upgrade: export CUSTOM_COMPILE_COMMAND=make upgrade
upgrade: 				## Update the *.pip files with the latest packages satisfying *.in files.
	pip install -q -r requirements/pip-tools.pip
	$(PIP_COMPILE) -o requirements/pip-tools.pip requirements/pip-tools.in
	$(PIP_COMPILE) -o requirements/pip.pip requirements/pip.in
	$(PIP_COMPILE) -o requirements/pytest.pip requirements/pytest.in
	$(PIP_COMPILE) -o requirements/kit.pip requirements/kit.in
	$(PIP_COMPILE) -o requirements/tox.pip requirements/tox.in
	$(PIP_COMPILE) -o requirements/dev.pip requirements/dev.in
	$(PIP_COMPILE) -o requirements/light-threads.pip requirements/light-threads.in
	$(PIP_COMPILE) -o doc/requirements.pip doc/requirements.in
	$(PIP_COMPILE) -o requirements/lint.pip doc/requirements.in requirements/dev.in


##@ Pre-builds for prepping the code

.PHONY: css workflows prebuild

CSS = coverage/htmlfiles/style.css
SCSS = coverage/htmlfiles/style.scss

css: $(CSS)				## Compile .scss into .css.
$(CSS): $(SCSS)
	pysassc --style=compact $(SCSS) $@
	cp $@ tests/gold/html/styled

workflows:				## Run cog on the workflows to keep them up-to-date.
	python -m cogapp -crP .github/workflows/*.yml

prebuild: css workflows cogdoc		## One command for all source prep.


##@ Sample HTML reports

.PHONY: _sample_cog_html sample_html sample_html_beta

_sample_cog_html: clean
	python -m pip install -e .
	cd ~/cog/trunk; \
		rm -rf htmlcov; \
		PYTEST_ADDOPTS= coverage run --branch --source=cogapp -m pytest -k CogTestsInMemory; \
		coverage combine; \
		coverage html

sample_html: _sample_cog_html		## Generate sample HTML report.
	rm -f doc/sample_html/*.*
	cp -r ~/cog/trunk/htmlcov/ doc/sample_html/
	rm doc/sample_html/.gitignore

sample_html_beta: _sample_cog_html	## Generate sample HTML report for a beta release.
	rm -f doc/sample_html_beta/*.*
	cp -r ~/cog/trunk/htmlcov/ doc/sample_html_beta/
	rm doc/sample_html_beta/.gitignore


##@ Kitting: making releases

.PHONY: kit kit_upload test_upload kit_local build_kits download_kits check_kits tag
.PHONY: update_stable comment_on_fixes

REPO_OWNER = nedbat/coveragepy

kit:					## Make the source distribution.
	python -m build

kit_upload:				## Upload the built distributions to PyPI.
	twine upload --verbose dist/*

test_upload:				## Upload the distributions to PyPI's testing server.
	twine upload --verbose --repository testpypi --password $$TWINE_TEST_PASSWORD dist/*

kit_local:
	# pip.conf looks like this:
	#   [global]
	#   find-links = file:///Users/ned/Downloads/local_pypi
	cp -v dist/* `awk -F "//" '/find-links/ {print $$2}' ~/.pip/pip.conf`
	# pip caches wheels of things it has installed. Clean them out so we
	# don't go crazy trying to figure out why our new code isn't installing.
	find ~/Library/Caches/pip/wheels -name 'coverage-*' -delete

build_kits:				## Trigger GitHub to build kits
	python ci/trigger_build_kits.py $(REPO_OWNER)

download_kits:				## Download the built kits from GitHub.
	python ci/download_gha_artifacts.py $(REPO_OWNER)

check_kits:				## Check that dist/* are well-formed.
	python -m twine check dist/*

tag:					## Make a git tag with the version number.
	git tag -a -m "Version $$(python setup.py --version)" $$(python setup.py --version)
	git push --follow-tags

update_stable:				## Set the stable branch to the latest release.
	git branch -f stable $$(python setup.py --version)
	git push origin stable


##@ Documentation

.PHONY: cogdoc dochtml docdev docspell

DOCBIN = .tox/doc/bin
SPHINXOPTS = -aE
SPHINXBUILD = $(DOCBIN)/sphinx-build $(SPHINXOPTS)
SPHINXAUTOBUILD = $(DOCBIN)/sphinx-autobuild --port 9876 --ignore '.git/**' --open-browser
WEBHOME = ~/web/stellated
WEBSAMPLE = $(WEBHOME)/files/sample_coverage_html
WEBSAMPLEBETA = $(WEBHOME)/files/sample_coverage_html_beta

$(DOCBIN):
	tox -q -e doc --notest

cogdoc: $(DOCBIN)			## Run docs through cog.
	$(DOCBIN)/python -m cogapp -crP --verbosity=1 doc/*.rst

dochtml: cogdoc $(DOCBIN)		## Build the docs HTML output.
	$(SPHINXBUILD) -b html doc doc/_build/html

docdev: dochtml				## Build docs, and auto-watch for changes.
	PATH=$(DOCBIN):$(PATH) $(SPHINXAUTOBUILD) -b html doc doc/_build/html

docspell: $(DOCBIN)			## Run the spell checker on the docs.
	$(SPHINXBUILD) -b spelling doc doc/_spell


##@ Publishing docs

.PHONY: publish publishbeta relnotes_json github_releases

publish:				## Publish the sample HTML report.
	rm -f $(WEBSAMPLE)/*.*
	mkdir -p $(WEBSAMPLE)
	cp doc/sample_html/*.* $(WEBSAMPLE)

publishbeta:
	rm -f $(WEBSAMPLEBETA)/*.*
	mkdir -p $(WEBSAMPLEBETA)
	cp doc/sample_html_beta/*.* $(WEBSAMPLEBETA)

CHANGES_MD = tmp/rst_rst/changes.md
RELNOTES_JSON = tmp/relnotes.json

$(CHANGES_MD): CHANGES.rst $(DOCBIN)
	$(SPHINXBUILD) -b rst doc tmp/rst_rst
	pandoc -frst -tmarkdown_strict --markdown-headings=atx --wrap=none tmp/rst_rst/changes.rst > $(CHANGES_MD)

relnotes_json: $(RELNOTES_JSON)		## Convert changelog to JSON for further parsing.
$(RELNOTES_JSON): $(CHANGES_MD)
	$(DOCBIN)/python ci/parse_relnotes.py tmp/rst_rst/changes.md $(RELNOTES_JSON)

github_releases: $(RELNOTES_JSON)	## Update GitHub releases.
	$(DOCBIN)/python ci/github_releases.py $(RELNOTES_JSON) $(REPO_OWNER)

comment_on_fixes: $(RELNOTES_JSON)	## Add a comment to issues that were fixed.
	python ci/comment_on_fixes.py $(REPO_OWNER)

=== debian/changelog ===
python-coverage (6.5.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Drop old pypy remainings (Closes: #1026466)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Dec 2022 20:23:31 +0100

python-coverage (6.5.0+dfsg1-1) unstable; urgency=medium

  * The “Yassmin Abdel-Magied” release.
  * New upstream version.
    Highlights since previous release:
    * Support Python version 3.7 – 3.11.
    * Build successfully on Python 3.11.
      Closes: bug#1024148. Thanks to Adrian Bunk for the report.
    * New ‘lcov’ command to generate reports in LCOV format.
    * Write the coverage data file when SIGTERM is received.
    * Write the coverage data in a way that better handles multiple
      processes writing to it.
    * The JSON report now contains details for branch coverage per file.
  * Update years of copyright publication.
  * Use wildcard for version string in context for Lintian overrides.
  * Override false positive Lintian check for VCS-* field names.
  * Override false positives for HTML files as test data.
  * Test all supported Python versions in entry point script AutoPkgTest.
  * Remove overrides for checks that Lintian now gets correct.
  * Update Lintian overrides for current output from Lintian report.
  * Ensure AutoPkgTest scripts don't default to use package source code.
  * Declare conformance to “Standards-Version: 4.6.1”.
    No additional changes required.
  * Migrate package documentation to link to ‘python-coverage-doc’.
  * Install a console script for each Debian supported Python version.
    Closes: bug#955763. Thanks to Uwe Hermann for the report.
  * debian/patches/02.rename-public-programs.patch:
    * Defer to Debian packaging the installation of per-version scripts.
  * Override a Lintian false positive for versioned interpreter.
  * debian/patches/03.sphinx-add-code-path.patch:
    * Remove patch no longer needed with current builds.

 -- Ben Finney <bignose@debian.org>  Sat, 19 Nov 2022 22:27:56 +1100

=== debian/control ===
Source: python-coverage
Maintainer: Ben Finney <bignose@debian.org>
Section: python
Priority: optional
Build-Depends:
    dh-python,
    python3-sphinx,
    python3-sphinx-rtd-theme,
    python3-sphinx-tabs,
    python3-sphinxcontrib.restbuilder,
    python3-sphinxcontrib.spelling,
    python3-setuptools,
    python3-all-dev,
    python3,
    debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://coverage.readthedocs.io/
VCS-Git: https://salsa.debian.org/debian/pkg-python-coverage.git
VCS-Browser: https://salsa.debian.org/debian/pkg-python-coverage/
Rules-Requires-Root: no

Package: python3-coverage
Architecture: any
Depends:
    python3-pkg-resources,
    ${python3:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Suggests:
    python-coverage-doc
Description: code coverage tool for Python 3
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 Coverage measurement is typically used to gauge the effectiveness of
 tests. It can show which parts of your code are being exercised by
 tests, and which are not.
 .
 This package installs the Python version 3 ‘coverage’ library, and the
 ‘python3-coverage’ program to perform and report coverage tests.

Package: python-coverage-doc
Architecture: all
Section: doc
Depends:
    ${sphinxdoc:Depends},
    ${misc:Depends}
Description: code coverage tool for Python — documentation
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 This package installs the HTML documentation for Coverage.py.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of the Debian ‘python-coverage’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME = coverage
export PYBUILD_DISABLE = test
export PYBUILD_SYSTEM = distutils

PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
package_working_root = debian
package_install_root = debian/{package}

DISTRIBUTION_NAME = coverage

HTMLFILES_DIR = ${DISTRIBUTION_NAME}/htmlfiles
htmlfiles_dirname = $(notdir ${HTMLFILES_DIR})

RESOURCES_DIR = usr/share/{package}
package_install_resources_root = ${package_install_root}/${RESOURCES_DIR}

DOCUMENTATION_DIR = doc
MANPAGE_SUFFIX = .1
manpage_tempfile_suffix = ${MANPAGE_SUFFIX}.tmp
default_manpage_name = python-coverage${MANPAGE_SUFFIX}
python_command_path = ${package_install_root}/usr/bin/python-coverage
python3_command_names = $(sort $(notdir $(wildcard \
	${package_working_root}/*/usr/bin/python3*-coverage)))
versioned_command_names = ${python3_command_names}
versioned_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
	${versioned_command_names})
versioned_manpage_paths = $(addprefix ${DOCUMENTATION_DIR}/, \
	${versioned_manpage_names})
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${MANPAGE_SUFFIX}
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${manpage_tempfile_suffix}

DOCUMENTATION_BUILD_DIR = ${DOCUMENTATION_DIR}/_build
DOCUMENTATION_BUILD_HTML_DIR = ${DOCUMENTATION_BUILD_DIR}/html
GENERATED_FILES += ${DOCUMENTATION_BUILD_DIR}

INSTALL = install
MV = mv
CP = cp

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

RST_SUFFIX = .txt

RST2MAN = rst2man

SPHINX = python3 -m sphinx
SPHINX_OPTS = -N

FIX_SHEBANG = debian/fix_shebang


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


.PHONY: manpage-aliases
manpage-aliases: ${versioned_manpage_paths}

${DOCUMENTATION_DIR}:
	$(INSTALL) --directory "$@"

${DOCUMENTATION_DIR}/${default_manpage_name}: ${DOCUMENTATION_DIR}
${DOCUMENTATION_DIR}/${default_manpage_name}: ${package_working_root}/${default_manpage_name}
	$(INSTALL) --mode=u=rw,go=r "$<" "$@"

${DOCUMENTATION_DIR}/%${MANPAGE_SUFFIX}: ${DOCUMENTATION_DIR}/${default_manpage_name}
	$(INSTALL) --mode=u=rw,go=r "$<" "$@"

%.1: %.1${RST_SUFFIX}
	$(RST2MAN) "$<" > "$@".tmp
	cat debian/manpage_encoding_declaration.UTF-8 "$@".tmp > "$@"


override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	$(SPHINX) ${SPHINX_OPTS} -bhtml ${DOCUMENTATION_DIR}/ \
		${DOCUMENTATION_BUILD_HTML_DIR}/

# Upstream test suite doesn't currently run in our build environment.
override_dh_auto_test:

export PYBUILD_AFTER_INSTALL = \
	$(INSTALL) --mode=u=rwx,go=rx --directory \
	    "${package_install_resources_root}" ; \
	$(INSTALL) --mode=u=rwx,go=rx --directory \
	    "${package_install_resources_root}/${htmlfiles_dirname}" ; \
	$(INSTALL) --mode=u=rw,go=r "${HTMLFILES_DIR}"/* \
	    "${package_install_resources_root}/${htmlfiles_dirname}" ; \
	dh_link \
	    --package={package} \
	    "/${RESOURCES_DIR}/${htmlfiles_dirname}" \
	    {install_dir}/${HTMLFILES_DIR} ; \
	$(CP) ${python_command_path} \
	    ${package_install_root}/usr/bin/python{version}-coverage ; \
	$(FIX_SHEBANG) --interpreter 'usr/bin/python{version}' \
	    ${package_install_root}/usr/bin/python{version}-coverage ; \
	$(MV) ${python_command_path} \
	    ${package_install_root}/usr/bin/python{version.major}-coverage ; \
	$(FIX_SHEBANG) --interpreter 'usr/bin/python{version.major}' \
	    ${package_install_root}/usr/bin/python{version.major}-coverage

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_installman: manpage-aliases
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r ${GENERATED_FILES}


# Copyright © 2010–2022 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: makefile
# End:
# vim: fileencoding=utf-8 filetype=make :

## python-coverage 7.2.7+dfsg1

=== Makefile ===
--- 
+++ 
@@ -11,17 +11,19 @@
 
 clean_platform:
 	@rm -f *.so */*.so
+	@rm -f *.pyd */*.pyd
 	@rm -rf __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__ */*/*/*/__pycache__ */*/*/*/*/__pycache__
 	@rm -f *.pyc */*.pyc */*/*.pyc */*/*/*.pyc */*/*/*/*.pyc */*/*/*/*/*.pyc
 	@rm -f *.pyo */*.pyo */*/*.pyo */*/*/*.pyo */*/*/*/*.pyo */*/*/*/*/*.pyo
+	@rm -f *$$py.class */*$$py.class */*/*$$py.class */*/*/*$$py.class */*/*/*/*$$py.class */*/*/*/*/*$$py.class
 
 clean: clean_platform			## Remove artifacts of test execution, installation, etc.
 	@echo "Cleaning..."
 	@-pip uninstall -yq coverage
-	@rm -f *.pyd */*.pyd
+	@mkdir -p build	# so the chmod won't fail if build doesn't exist
+	@chmod -R 777 build
 	@rm -rf build coverage.egg-info dist htmlcov
 	@rm -f *.bak */*.bak */*/*.bak */*/*/*.bak */*/*/*/*.bak */*/*/*/*/*.bak
-	@rm -f *$$py.class */*$$py.class */*/*$$py.class */*/*/*$$py.class */*/*/*/*$$py.class */*/*/*/*/*$$py.class
 	@rm -f coverage/*,cover
 	@rm -f MANIFEST
 	@rm -f .coverage .coverage.* coverage.xml coverage.json .metacov*
@@ -30,12 +32,13 @@
 	@rm -f tests/covmain.zip tests/zipmods.zip tests/zip1.zip
 	@rm -rf doc/_build doc/_spell doc/sample_html_beta
 	@rm -rf tmp
-	@rm -rf .cache .hypothesis .mypy_cache .pytest_cache
+	@rm -rf .cache .hypothesis .*_cache
 	@rm -rf tests/actual
 	@-make -C tests/gold/html clean
 
 sterile: clean				## Remove all non-controlled content, even if expensive.
 	rm -rf .tox
+	rm -f cheats.txt
 
 help:					## Show this help.
 	@# Adapted from https://www.thapaliya.com/en/writings/well-documented-makefiles/
@@ -83,7 +86,7 @@
 
 .PHONY: upgrade
 
-PIP_COMPILE = pip-compile --upgrade --allow-unsafe --generate-hashes
+PIP_COMPILE = pip-compile --upgrade --allow-unsafe --resolver=backtracking
 upgrade: export CUSTOM_COMPILE_COMMAND=make upgrade
 upgrade: 				## Update the *.pip files with the latest packages satisfying *.in files.
 	pip install -q -r requirements/pip-tools.pip
@@ -96,7 +99,16 @@
 	$(PIP_COMPILE) -o requirements/light-threads.pip requirements/light-threads.in
 	$(PIP_COMPILE) -o doc/requirements.pip doc/requirements.in
 	$(PIP_COMPILE) -o requirements/lint.pip doc/requirements.in requirements/dev.in
-
+	$(PIP_COMPILE) -o requirements/mypy.pip requirements/mypy.in
+
+diff_upgrade:				## Summarize the last `make upgrade`
+	@# The sort flags sort by the package name first, then by the -/+, and
+	@# sort by version numbers, so we get a summary with lines like this:
+	@#	-bashlex==0.16
+	@#	+bashlex==0.17
+	@#	-build==0.9.0
+	@#	+build==0.10.0
+	@git diff -U0 | grep -v '^@' | grep == | sort -k1.2,1.99 -k1.1,1.1r -u -V
 
 ##@ Pre-builds for prepping the code
 
@@ -122,7 +134,7 @@
 
 _sample_cog_html: clean
 	python -m pip install -e .
-	cd ~/cog/trunk; \
+	cd ~/cog; \
 		rm -rf htmlcov; \
 		PYTEST_ADDOPTS= coverage run --branch --source=cogapp -m pytest -k CogTestsInMemory; \
 		coverage combine; \
@@ -130,12 +142,12 @@
 
 sample_html: _sample_cog_html		## Generate sample HTML report.
 	rm -f doc/sample_html/*.*
-	cp -r ~/cog/trunk/htmlcov/ doc/sample_html/
+	cp -r ~/cog/htmlcov/ doc/sample_html/
 	rm doc/sample_html/.gitignore
 
 sample_html_beta: _sample_cog_html	## Generate sample HTML report for a beta release.
 	rm -f doc/sample_html_beta/*.*
-	cp -r ~/cog/trunk/htmlcov/ doc/sample_html_beta/
+	cp -r ~/cog/htmlcov/ doc/sample_html_beta/
 	rm doc/sample_html_beta/.gitignore
 
 
@@ -145,6 +157,21 @@
 .PHONY: update_stable comment_on_fixes
 
 REPO_OWNER = nedbat/coveragepy
+
+edit_for_release:			## Edit sources to insert release facts.
+	python igor.py edit_for_release
+
+cheats:					## Create some useful snippets for releasing.
+	python igor.py cheats | tee cheats.txt
+
+relbranch:				## Create the branch for releasing.
+	git switch -c nedbat/release-$$(date +%Y%m%d)
+
+relcommit1:				## Commit the first release changes.
+	git commit -am "docs: prep for $$(python setup.py --version)"
+
+relcommit2:				## Commit the latest sample HTML report.
+	git commit -am "docs: sample HTML for $$(python setup.py --version)"
 
 kit:					## Make the source distribution.
 	python -m build
@@ -181,6 +208,12 @@
 	git branch -f stable $$(python setup.py --version)
 	git push origin stable
 
+bump_version:				## Edit sources to bump the version after a release.
+	git switch -c nedbat/bump-version
+	python igor.py bump_version
+	git commit -a -m "build: bump version"
+	git push -u origin @
+
 
 ##@ Documentation
 
@@ -235,8 +268,8 @@
 $(RELNOTES_JSON): $(CHANGES_MD)
 	$(DOCBIN)/python ci/parse_relnotes.py tmp/rst_rst/changes.md $(RELNOTES_JSON)
 
-github_releases: $(RELNOTES_JSON)	## Update GitHub releases.
-	$(DOCBIN)/python ci/github_releases.py $(RELNOTES_JSON) $(REPO_OWNER)
+github_releases: $(DOCBIN)		## Update GitHub releases.
+	$(DOCBIN)/python -m scriv github-release
 
 comment_on_fixes: $(RELNOTES_JSON)	## Add a comment to issues that were fixed.
 	python ci/comment_on_fixes.py $(REPO_OWNER)

=== debian/changelog ===
python-coverage (7.2.7+dfsg1-1deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:54:41 +0200

python-coverage (7.2.7+dfsg1-1) unstable; urgency=medium

  * The “Adele Puglisi” release.
  * Note that release 6.5.0+dfsg1-3 Closes: bug#1040850.
    The previous changelog entry gave the incorrect bug report number.
  * New upstream version.
    Highlights since previous release:
    * Changes to filename pattern matching and path remapping.
      These might require changing configuration for Coverage.py.
      See the “Migrating between versions” section of the documentation.
    * New output formats for ‘report’.
    * Empty source file no longer fails with ‘--fail-under’.
    * Filename parameters in API now also accept a ‘pathlib.Path’ object.
  * Refresh patches for new upstream version.

 -- Ben Finney <bignose@debian.org>  Sun, 23 Jul 2023 13:49:58 +1000

python-coverage (6.5.0+dfsg1-3) unstable; urgency=medium

  * Declare conformance to “Standards-Version: 4.6.2”.
    No additional changes required.
  * Explicitly mark superficial AutoPkgTest cases.
  * Use external package ‘python3-package-smoke-test’ for AutoPkgTest.
    Closes: bug#1040846. Thanks to Matthias Klose for the report.
  * debian/tests/smoke_test.py:
    * Remove unused test helper module, now migrated to external package.

 -- Ben Finney <bignose@debian.org>  Fri, 21 Jul 2023 14:59:32 +1000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
     python3-all-dev,
     python3,
     debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://coverage.readthedocs.io/
 VCS-Git: https://salsa.debian.org/debian/pkg-python-coverage.git
 VCS-Browser: https://salsa.debian.org/debian/pkg-python-coverage/

=== debian/rules ===
--- 
+++ 
@@ -129,8 +129,7 @@
 
 
 
-# Copyright © 2010–2022 Ben Finney <bignose@debian.org>
-#
+# Copyright © 2010–2023 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.

## python-coverage 7.3.2

=== debian/changelog ===
python-coverage (7.3.2-0ubuntu1) noble; urgency=medium

  * New upstream version.
  * Build without the sphinx_code_tabs sphinx extension.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2023 15:44:43 +0100

python-coverage (7.2.7+dfsg1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:39:20 +0000

## python-coverage 7.4.4+dfsg1

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,17 @@
 
 .DEFAULT_GOAL := help
 
+
 ##@ Utilities
 
 .PHONY: help clean_platform clean sterile
 
-clean_platform:
+help:					## Show this help.
+	@# Adapted from https://www.thapaliya.com/en/writings/well-documented-makefiles/
+	@echo Available targets:
+	@awk -F ':.*##' '/^[^: ]+:.*##/{printf "  \033[1m%-20s\033[m %s\n",$$1,$$2} /^##@/{printf "\n%s\n",substr($$0,5)}' $(MAKEFILE_LIST)
+
+_clean_platform:
 	@rm -f *.so */*.so
 	@rm -f *.pyd */*.pyd
 	@rm -rf __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__ */*/*/*/__pycache__ */*/*/*/*/__pycache__
@@ -17,7 +23,10 @@
 	@rm -f *.pyo */*.pyo */*/*.pyo */*/*/*.pyo */*/*/*/*.pyo */*/*/*/*/*.pyo
 	@rm -f *$$py.class */*$$py.class */*/*$$py.class */*/*/*$$py.class */*/*/*/*$$py.class */*/*/*/*/*$$py.class
 
-clean: clean_platform			## Remove artifacts of test execution, installation, etc.
+debug_clean:				## Delete various debugging artifacts.
+	@rm -rf /tmp/dis $$COVERAGE_DEBUG_FILE
+
+clean: debug_clean _clean_platform	## Remove artifacts of test execution, installation, etc.
 	@echo "Cleaning..."
 	@-pip uninstall -yq coverage
 	@mkdir -p build	# so the chmod won't fail if build doesn't exist
@@ -26,13 +35,14 @@
 	@rm -f *.bak */*.bak */*/*.bak */*/*/*.bak */*/*/*/*.bak */*/*/*/*/*.bak
 	@rm -f coverage/*,cover
 	@rm -f MANIFEST
-	@rm -f .coverage .coverage.* coverage.xml coverage.json .metacov*
+	@rm -f .coverage .coverage.* .metacov*
+	@rm -f coverage.xml coverage.json
 	@rm -f .tox/*/lib/*/site-packages/zzz_metacov.pth
 	@rm -f */.coverage */*/.coverage */*/*/.coverage */*/*/*/.coverage */*/*/*/*/.coverage */*/*/*/*/*/.coverage
 	@rm -f tests/covmain.zip tests/zipmods.zip tests/zip1.zip
 	@rm -rf doc/_build doc/_spell doc/sample_html_beta
 	@rm -rf tmp
-	@rm -rf .cache .hypothesis .*_cache
+	@rm -rf .*cache */.*cache */*/.*cache */*/*/.*cache .hypothesis
 	@rm -rf tests/actual
 	@-make -C tests/gold/html clean
 
@@ -40,10 +50,6 @@
 	rm -rf .tox
 	rm -f cheats.txt
 
-help:					## Show this help.
-	@# Adapted from https://www.thapaliya.com/en/writings/well-documented-makefiles/
-	@echo Available targets:
-	@awk -F ':.*##' '/^[^: ]+:.*##/{printf "  \033[1m%-20s\033[m %s\n",$$1,$$2} /^##@/{printf "\n%s\n",substr($$0,5)}' $(MAKEFILE_LIST)
 
 ##@ Tests and quality checks
 
@@ -55,11 +61,11 @@
 PYTEST_SMOKE_ARGS = -n auto -m "not expensive" --maxfail=3 $(ARGS)
 
 smoke: 					## Run tests quickly with the C tracer in the lowest supported Python versions.
-	COVERAGE_NO_PYTRACER=1 tox -q -e py37 -- $(PYTEST_SMOKE_ARGS)
+	COVERAGE_TEST_CORES=ctrace tox -q -e py38 -- $(PYTEST_SMOKE_ARGS)
 
 
 ##@ Metacov: coverage measurement of coverage.py itself
-# 	See metacov.ini for details.
+# See metacov.ini for details.
 
 .PHONY: metacov metahtml metasmoke
 
@@ -70,7 +76,7 @@
 	python igor.py combine_html
 
 metasmoke:
-	COVERAGE_NO_PYTRACER=1 ARGS="-e py39" make metacov metahtml
+	COVERAGE_TEST_CORES=ctrace ARGS="-e py39" make metacov metahtml
 
 
 ##@ Requirements management
@@ -84,11 +90,21 @@
 # in requirements/pins.pip, and search for "windows" in .in files to find pins
 # and extra requirements that have been needed, but might be obsolete.
 
-.PHONY: upgrade
-
-PIP_COMPILE = pip-compile --upgrade --allow-unsafe --resolver=backtracking
-upgrade: export CUSTOM_COMPILE_COMMAND=make upgrade
+.PHONY: upgrade doc_upgrade diff_upgrade
+
+DOCBIN = .tox/doc/bin
+
+
+PIP_COMPILE = pip-compile ${COMPILE_OPTS} --allow-unsafe --resolver=backtracking
 upgrade: 				## Update the *.pip files with the latest packages satisfying *.in files.
+	$(MAKE) _upgrade COMPILE_OPTS="--upgrade"
+
+upgrade_one:				## Update the *.pip files for one package. `make upgrade-one package=...`
+	@test -n "$(package)" || { echo "\nUsage: make upgrade-one package=...\n"; exit 1; }
+	$(MAKE) _upgrade COMPILE_OPTS="--upgrade-package $(package)"
+
+_upgrade: export CUSTOM_COMPILE_COMMAND=make upgrade
+_upgrade:
 	pip install -q -r requirements/pip-tools.pip
 	$(PIP_COMPILE) -o requirements/pip-tools.pip requirements/pip-tools.in
 	$(PIP_COMPILE) -o requirements/pip.pip requirements/pip.in
@@ -97,9 +113,12 @@
 	$(PIP_COMPILE) -o requirements/tox.pip requirements/tox.in
 	$(PIP_COMPILE) -o requirements/dev.pip requirements/dev.in
 	$(PIP_COMPILE) -o requirements/light-threads.pip requirements/light-threads.in
-	$(PIP_COMPILE) -o doc/requirements.pip doc/requirements.in
-	$(PIP_COMPILE) -o requirements/lint.pip doc/requirements.in requirements/dev.in
 	$(PIP_COMPILE) -o requirements/mypy.pip requirements/mypy.in
+
+doc_upgrade: export CUSTOM_COMPILE_COMMAND=make doc_upgrade
+doc_upgrade: $(DOCBIN)			## Update the doc/requirements.pip file
+	$(DOCBIN)/pip install -q -r requirements/pip-tools.pip
+	$(DOCBIN)/$(PIP_COMPILE) --upgrade -o doc/requirements.pip doc/requirements.in
 
 diff_upgrade:				## Summarize the last `make upgrade`
 	@# The sort flags sort by the package name first, then by the -/+, and
@@ -110,6 +129,7 @@
 	@#	+build==0.10.0
 	@git diff -U0 | grep -v '^@' | grep == | sort -k1.2,1.99 -k1.1,1.1r -u -V
 
+
 ##@ Pre-builds for prepping the code
 
 .PHONY: css workflows prebuild
@@ -153,24 +173,25 @@
 
 ##@ Kitting: making releases
 
-.PHONY: kit kit_upload test_upload kit_local build_kits download_kits check_kits tag
-.PHONY: update_stable comment_on_fixes
+.PHONY: edit_for_release cheats relbranch relcommit1 relcommit2
+.PHONY: kit kit_upload test_upload kit_local build_kits download_kits check_kits
+.PHONY: tag bump_version
 
 REPO_OWNER = nedbat/coveragepy
 
-edit_for_release:			## Edit sources to insert release facts.
+edit_for_release:			#: Edit sources to insert release facts (see howto.txt).
 	python igor.py edit_for_release
 
 cheats:					## Create some useful snippets for releasing.
 	python igor.py cheats | tee cheats.txt
 
-relbranch:				## Create the branch for releasing.
+relbranch:				#: Create the branch for releasing (see howto.txt).
 	git switch -c nedbat/release-$$(date +%Y%m%d)
 
-relcommit1:				## Commit the first release changes.
+relcommit1:				#: Commit the first release changes (see howto.txt).
 	git commit -am "docs: prep for $$(python setup.py --version)"
 
-relcommit2:				## Commit the latest sample HTML report.
+relcommit2:				#: Commit the latest sample HTML report (see howto.txt).
 	git commit -am "docs: sample HTML for $$(python setup.py --version)"
 
 kit:					## Make the source distribution.
@@ -195,20 +216,17 @@
 	python ci/trigger_build_kits.py $(REPO_OWNER)
 
 download_kits:				## Download the built kits from GitHub.
-	python ci/download_gha_artifacts.py $(REPO_OWNER)
+	python ci/download_gha_artifacts.py $(REPO_OWNER) 'dist-*' dist
 
 check_kits:				## Check that dist/* are well-formed.
 	python -m twine check dist/*
-
-tag:					## Make a git tag with the version number.
-	git tag -a -m "Version $$(python setup.py --version)" $$(python setup.py --version)
+	@echo $$(ls -1 dist | wc -l) distribution kits
+
+tag:					#: Make a git tag with the version number (see howto.txt).
+	git tag -s -m "Version $$(python setup.py --version)" $$(python setup.py --version)
 	git push --follow-tags
 
-update_stable:				## Set the stable branch to the latest release.
-	git branch -f stable $$(python setup.py --version)
-	git push origin stable
-
-bump_version:				## Edit sources to bump the version after a release.
+bump_version:				#: Edit sources to bump the version after a release (see howto.txt).
 	git switch -c nedbat/bump-version
 	python igor.py bump_version
 	git commit -a -m "build: bump version"
@@ -219,33 +237,34 @@
 
 .PHONY: cogdoc dochtml docdev docspell
 
-DOCBIN = .tox/doc/bin
 SPHINXOPTS = -aE
 SPHINXBUILD = $(DOCBIN)/sphinx-build $(SPHINXOPTS)
 SPHINXAUTOBUILD = $(DOCBIN)/sphinx-autobuild --port 9876 --ignore '.git/**' --open-browser
+
+$(DOCBIN):
+	tox -q -e doc --notest
+
+cogdoc: $(DOCBIN)			## Run docs through cog.
+	$(DOCBIN)/python -m cogapp -crP --verbosity=1 doc/*.rst
+
+dochtml: cogdoc $(DOCBIN)		## Build the docs HTML output.
+	$(SPHINXBUILD) -b html doc doc/_build/html
+
+docdev: dochtml				## Build docs, and auto-watch for changes.
+	PATH=$(DOCBIN):$(PATH) $(SPHINXAUTOBUILD) -b html doc doc/_build/html
+
+docspell: $(DOCBIN)			## Run the spell checker on the docs.
+	# Very mac-specific...
+	PYENCHANT_LIBRARY_PATH=/opt/homebrew/lib/libenchant-2.dylib $(SPHINXBUILD) -b spelling doc doc/_spell
+
+
+##@ Publishing docs
+
+.PHONY: publish publishbeta relnotes_json github_releases comment_on_fixes
+
 WEBHOME = ~/web/stellated
 WEBSAMPLE = $(WEBHOME)/files/sample_coverage_html
 WEBSAMPLEBETA = $(WEBHOME)/files/sample_coverage_html_beta
-
-$(DOCBIN):
-	tox -q -e doc --notest
-
-cogdoc: $(DOCBIN)			## Run docs through cog.
-	$(DOCBIN)/python -m cogapp -crP --verbosity=1 doc/*.rst
-
-dochtml: cogdoc $(DOCBIN)		## Build the docs HTML output.
-	$(SPHINXBUILD) -b html doc doc/_build/html
-
-docdev: dochtml				## Build docs, and auto-watch for changes.
-	PATH=$(DOCBIN):$(PATH) $(SPHINXAUTOBUILD) -b html doc doc/_build/html
-
-docspell: $(DOCBIN)			## Run the spell checker on the docs.
-	$(SPHINXBUILD) -b spelling doc doc/_spell
-
-
-##@ Publishing docs
-
-.PHONY: publish publishbeta relnotes_json github_releases
 
 publish:				## Publish the sample HTML report.
 	rm -f $(WEBSAMPLE)/*.*
@@ -269,7 +288,7 @@
 	$(DOCBIN)/python ci/parse_relnotes.py tmp/rst_rst/changes.md $(RELNOTES_JSON)
 
 github_releases: $(DOCBIN)		## Update GitHub releases.
-	$(DOCBIN)/python -m scriv github-release
+	$(DOCBIN)/python -m scriv github-release --all
 
 comment_on_fixes: $(RELNOTES_JSON)	## Add a comment to issues that were fixed.
 	python ci/comment_on_fixes.py $(REPO_OWNER)

=== debian/changelog ===
python-coverage (7.4.4+dfsg1-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:04:12 +0000

python-coverage (7.4.4+dfsg1-0ubuntu1) noble; urgency=medium

  * New upstream release, required for Python 3.12.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Mar 2024 14:45:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-coverage
-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
 Section: python
 Priority: optional
 Build-Depends:

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

Tests: smoke-python3
Restrictions:
    superficial
Depends:
    python3-package-smoke-test,
    python3-all,
    @

Test-Command:
    w3m -dump /usr/share/doc/python-coverage-doc/html/index.html > /dev/null
Restrictions:
    superficial
    build-needed
Depends:
    python-coverage-doc,
    w3m

Test-Command:
    file --brief /usr/share/doc/python-coverage-doc/html/index.html
        | grep -q 'HTML document'
Restrictions:
    superficial
    build-needed
Depends:
    python-coverage-doc,
    file

Tests: entry-point-scripts
Depends:
    python3-all,
    @

Tests: module-scripts
Depends:
    python3-all,
    @


# Copyright © 2016–2023 Ben Finney <bignose@debian.org>
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: conf-space
# End:
# vim: fileencoding=utf-8 filetype=conf :

## python-coverage 7.6.0%2Bdfsg1

=== debian/changelog ===
python-coverage (7.6.0+dfsg1-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:20:56 +0000

python-coverage (7.6.0+dfsg1-2) unstable; urgency=medium

  * Remove unused “Depends: python3-pkg-resources”.
    Closes: bug#1083621.
  * Remove specified minimum Python version.
    All supported Debian releases now provide Python 3.9 or later.

 -- Ben Finney <bignose@debian.org>  Mon, 21 Oct 2024 13:19:25 +1100

python-coverage (7.6.0+dfsg1-1) unstable; urgency=medium

  * The “Margaret Hamilton” release.
  * New upstream version.
    Highlights since previous release:
    * Support Python version 3.8 – 3.12.
    * Remove deprecated ‘fullcoverage’ CPython feature.
    * Reporting now includes coverage by function and class (in addition
      to coverage by file). Currently in HTML and JSON reports.
    * A module docstring is now never counted as an executable statement.
    * Exclusion regex patterns can now be multi-line.
    * SQLite database performance improved, by ignoring journal files.
    * Combining data files performance improved.
    * Generating HTML report performance improved.
  * Update years of copyright publication.
  * Declare conformance to “Standards-Version: 4.7.0”.
    No additional changes required.
  * debian/control:
    * Add “Build-Depends: python3-sphinx-code-tabs”.
    * Remove obsolete “Build-Depends: python3-sphinx-tabs”.
    * Explicitly declare build dependency for PyBuild PEP 517 support.
    * Declare minimum supported Python 3 version.
  * debian/rules:
    * Clean auto-generated Python cache from the documentation.

 -- Ben Finney <bignose@debian.org>  Tue, 23 Jul 2024 13:05:27 +1000

## python-coverage 7.6.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 ##@ Utilities
 
-.PHONY: help clean_platform clean sterile
+.PHONY: help clean_platform clean sterile install
 
 help:					## Show this help.
 	@# Adapted from https://www.thapaliya.com/en/writings/well-documented-makefiles/
@@ -50,6 +50,9 @@
 	rm -rf .tox
 	rm -f cheats.txt
 
+install:				## Install the developer tools
+	python3 -m pip install -r requirements/dev.pip
+
 
 ##@ Tests and quality checks
 
@@ -73,10 +76,10 @@
 	COVERAGE_COVERAGE=yes tox -q $(ARGS)
 
 metahtml:				## Produce meta-coverage HTML reports.
-	python igor.py combine_html
+	tox exec -q $(ARGS) -- python3 igor.py combine_html
 
 metasmoke:
-	COVERAGE_TEST_CORES=ctrace ARGS="-e py39" make metacov metahtml
+	COVERAGE_TEST_CORES=ctrace ARGS="-e py39" make --keep-going metacov metahtml
 
 
 ##@ Requirements management
@@ -174,7 +177,7 @@
 ##@ Kitting: making releases
 
 .PHONY: edit_for_release cheats relbranch relcommit1 relcommit2
-.PHONY: kit kit_upload test_upload kit_local build_kits download_kits check_kits
+.PHONY: kit pypi_upload test_upload kit_local build_kits
 .PHONY: tag bump_version
 
 REPO_OWNER = nedbat/coveragepy
@@ -192,16 +195,17 @@
 	git commit -am "docs: prep for $$(python setup.py --version)"
 
 relcommit2:				#: Commit the latest sample HTML report (see howto.txt).
+	git add doc/sample_html
 	git commit -am "docs: sample HTML for $$(python setup.py --version)"
 
 kit:					## Make the source distribution.
 	python -m build
 
-kit_upload:				## Upload the built distributions to PyPI.
-	twine upload --verbose dist/*
+pypi_upload:				## Upload the built distributions to PyPI.
+	python ci/trigger_action.py $(REPO_OWNER) publish-pypi
 
 test_upload:				## Upload the distributions to PyPI's testing server.
-	twine upload --verbose --repository testpypi --password $$TWINE_TEST_PASSWORD dist/*
+	python ci/trigger_action.py $(REPO_OWNER) publish-testpypi
 
 kit_local:
 	# pip.conf looks like this:
@@ -213,14 +217,7 @@
 	find ~/Library/Caches/pip/wheels -name 'coverage-*' -delete
 
 build_kits:				## Trigger GitHub to build kits
-	python ci/trigger_build_kits.py $(REPO_OWNER)
-
-download_kits:				## Download the built kits from GitHub.
-	python ci/download_gha_artifacts.py $(REPO_OWNER) 'dist-*' dist
-
-check_kits:				## Check that dist/* are well-formed.
-	python -m twine check dist/*
-	@echo $$(ls -1 dist | wc -l) distribution kits
+	python ci/trigger_action.py $(REPO_OWNER) build-kits
 
 tag:					#: Make a git tag with the version number (see howto.txt).
 	git tag -s -m "Version $$(python setup.py --version)" $$(python setup.py --version)

=== tests/gold/html/Makefile ===
# Licensed under the Apache License: http://www.apache.org/licenses/LICENSE-2.0
# For details: https://github.com/nedbat/coveragepy/blob/master/NOTICE.txt

help:
	@echo "Available targets:"
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | sort | awk -F ':.*?## ' 'NF==2 {printf "  %-26s%s\n", $$1, $$2}'

complete: 	## Copy support files into directories so the HTML can be viewed properly.
	@for sub in *; do \
		if [ -f "$$sub/index.html" ]; then \
			echo Copying into $$sub ; \
			cp -n support/* $$sub ; \
		fi ; \
	done ; \
	true	# because the for loop exits with 1 for some reason.

clean:		## Remove the effects of this Makefile.
	@git clean -fq .

update-gold:	## Copy actual output files from latest tests to gold files.
	@for sub in ../../actual/html/*; do \
		rsync --verbose --existing --recursive $$sub/ $$(basename $$sub) ; \
	done ; \
	true

update-support:	## Copy latest support files here for posterity.
	python -m pip install -e ../../..
	git rm --ignore-unmatch support/*.{css,js,png}
	mkdir -p support
	python ../../../igor.py copy_with_hash ../../../coverage/htmlfiles/*.{css,js,png} support
	git add support

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: python-coverage
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ben Finney <bignose@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
     dh-python,
+    pybuild-plugin-pyproject,
     python3-sphinx,
+    python3-sphinx-code-tabs,
     python3-sphinx-rtd-theme,
-    python3-sphinx-tabs,
     python3-sphinxcontrib.restbuilder,
     python3-sphinxcontrib.spelling,
     python3-setuptools,
     python3-all-dev,
     python3,
     debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://coverage.readthedocs.io/
 VCS-Git: https://salsa.debian.org/debian/pkg-python-coverage.git
 VCS-Browser: https://salsa.debian.org/debian/pkg-python-coverage/
@@ -23,7 +23,6 @@
 Package: python3-coverage
 Architecture: any
 Depends:
-    python3-pkg-resources,
     ${python3:Depends},
     ${shlibs:Depends},
     ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 
 DOCUMENTATION_BUILD_DIR = ${DOCUMENTATION_DIR}/_build
 DOCUMENTATION_BUILD_HTML_DIR = ${DOCUMENTATION_BUILD_DIR}/html
+DOCUMENTATION_BUILD_PYCACHE_DIR = ${DOCUMENTATION_BUILD_HTML_DIR}/_static/__pycache__
 GENERATED_FILES += ${DOCUMENTATION_BUILD_DIR}
 
 INSTALL = install
@@ -93,6 +94,7 @@
 	dh_auto_build --buildsystem=pybuild
 	$(SPHINX) ${SPHINX_OPTS} -bhtml ${DOCUMENTATION_DIR}/ \
 		${DOCUMENTATION_BUILD_HTML_DIR}/
+	$(RM) -r ${DOCUMENTATION_BUILD_PYCACHE_DIR}/
 
 # Upstream test suite doesn't currently run in our build environment.
 override_dh_auto_test:
@@ -129,7 +131,7 @@
 
 
 
-# Copyright © 2010–2023 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2024 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.

=== debian/tests/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 
 
-# Copyright © 2016–2023 Ben Finney <bignose@debian.org>
+# Copyright © 2016–2024 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.
